﻿using RouteGuideContracts.BindingModels;
using RouteGuideContracts.SearchModels;
using RouteGuideContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RouteGuideContracts.BusinessLogicContracts
{
    public interface IRouteLogic
    {
        List<RouteViewModel>? ReadList(RouteSearchModel? model);

        RouteViewModel? ReadElement(RouteSearchModel model);

        bool Create(RouteBindingModel model);
        bool Update(RouteBindingModel model);
        bool Delete(RouteBindingModel model);
    }
}
