﻿using RouteGuideContracts.BindingModels;
using RouteGuideContracts.SearchModels;
using RouteGuideContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RouteGuideContracts.BusinessLogicContracts
{
    public interface ITransportTypeLogic
    {
        List<TransportTypeViewModel>? ReadList(TransportTypeSearchModel? model);

        TransportTypeViewModel? ReadElement(TransportTypeSearchModel model);

        bool Create(TransportTypeBindingModel model);
        bool Update(TransportTypeBindingModel model);
        bool Delete(TransportTypeBindingModel model);
    }
}
