﻿using RouteGuideContracts.BindingModels;
using RouteGuideContracts.SearchModels;
using RouteGuideContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RouteGuideContracts.StoragesModels
{
    public interface IRouteStorage
    {
        List<RouteViewModel> GetFullList();

        List<RouteViewModel> GetFilteredList(RouteSearchModel model);

        RouteViewModel? GetElement(RouteSearchModel model);

        RouteViewModel? Insert(RouteBindingModel model);
        RouteViewModel? Update(RouteBindingModel model);
        RouteViewModel? Delete(RouteBindingModel model);
    }
}
