﻿using RouteGuideContracts.BindingModels;
using RouteGuideContracts.SearchModels;
using RouteGuideContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RouteGuideContracts.StoragesModels
{
    public interface ITransportTypeStorage
    {
        List<TransportTypeViewModel> GetFullList();

        List<TransportTypeViewModel> GetFilteredList(TransportTypeSearchModel model);

        TransportTypeViewModel? GetElement(TransportTypeSearchModel model);

        TransportTypeViewModel? Insert(TransportTypeBindingModel model);
        TransportTypeViewModel? Update(TransportTypeBindingModel model);
        TransportTypeViewModel? Delete(TransportTypeBindingModel model);
    }
}
