﻿using RouteGuideDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RouteGuideContracts.ViewModels
{
    public class TransportViewModel : ITransportModel
    {
        [DisplayName("Водитель")]
        public string DriverName { get; set; } = string.Empty;

        public int TransportTypeId { get; set; }

        [DisplayName("Тип транспорта")]
        public int TransportTypeName { get; set; }

        [DisplayName("Номер маршрута")]
        public int RouteId { get; set; }

        [DisplayName("Название маршрута")]
        public int RouteName { get; set; }

        public int Id { get; set; }
    }
}
