﻿using RouteGuideDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RouteGuideContracts.ViewModels
{
    public class RouteViewModel : IRouteModel
    {
        [DisplayName("Название маршрута")]
        public string Name { get; set; } = string.Empty;

        public Dictionary<int, (IStopModel, int)> RouteStops { get; set; } = new();

        public int Id { get; set; }
    }
}
